﻿@inject Microsoft.AspNetCore.Http.IHttpContextAccessor HttpContextAccessor;
@{
    string valueDonViChiTIet = HttpContextAccessor.HttpContext.Request.Cookies["DonViChiTIet"];
    string valueBoPhan = HttpContextAccessor.HttpContext.Request.Cookies["BoPhan"];
}
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/exceljs/4.3.0/exceljs.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/2.0.0/FileSaver.min.js"></script>
<script type="text/javascript">
    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
    $(document).ready(function () {
        LoadDonVi();
        var donvi_chk = '@valueDonViChiTIet';
        var bophan_chk = '@valueBoPhan';
        console.log(donvi_chk);
        console.log(bophan_chk);
        if (!donvi_chk.includes(",")) {
            if (bophan_chk != "All") {
                console.log(1);
                LoadBoPhan(parseInt(donvi_chk), parseInt(bophan_chk));
                LoadDataChart([parseInt(donvi_chk)], bophan_chk);
                LoadDataTable([parseInt(donvi_chk)], bophan_chk);
            } else {
                console.log(2);
                LoadBoPhan(parseInt(donvi_chk), "All");
                LoadDataChart([parseInt(donvi_chk)],  "All");
                LoadDataTable([parseInt(donvi_chk)],  "All");
            }
        } else {
            LoadDataChart(donvi_chk.split(","), "All");
            LoadDataTable(donvi_chk.split(","), "All");
        }
        
    });
    function LoadDonVi() {
        console.log(@valueDonViChiTIet);
        $(function(){
            var dataGrid;
            $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetDonVi", "ThongKeVungXanh")',
                    dataType: 'text',
                    success: function (data) {
                        var makeAsyncDataSource = function(dataDemo){
                            return new DevExpress.data.CustomStore({
                                loadMode: "raw",
                                key: "Id",
                                load: function() {
                                    return dataDemo;
                                }
                            });
                        };
                        
                        $("#gridBox").dxDropDownBox({
                            value: [@valueDonViChiTIet],
                            valueExpr: "Id",
                            placeholder: "Tất cả",
                            displayExpr: "TenDonVi",
                            showClearButton: true,
                            dataSource: makeAsyncDataSource(JSON.parse(data)),
                            contentTemplate: function (e) {
                                var value = e.component.option("value"),
                                    $dataGrid = $("<div>").dxDataGrid({
                                        dataSource: e.component.getDataSource(),
                                        columns: [{
                                            dataField: "TenDonVi",
                                            caption: "Tất cả đơn vị"
                                        }],
                                        hoverStateEnabled: true,
                                        paging: { enabled: true, pageSize: 10 },
                                        filterRow: { visible: true },
                                        scrolling: { mode: "virtual" },
                                        height: 345,
                                        selection: { mode: "multiple" },
                                        selectedRowKeys: value,
                                        onSelectionChanged: function (selectedItems) {
                                            var keys = selectedItems.selectedRowKeys;
                                            e.component.option("value", keys);
                                        }
                                    });

                                dataGrid = $dataGrid.dxDataGrid("instance");

                                e.component.on("valueChanged", function (args) {
                                    var value = args.value;
                                    dataGrid.selectRows(value, false);
                                });

                                return $dataGrid;
                            },
                            onOptionChanged: function (e) {
                                if (e.name == "value") {
                                    if (e.value.length == 1) {
                                        LoadBoPhan(e.value[0],0);
                                        LoadDataChart(e.value, "All");
                                        LoadDataTable(e.value, "All");
                                        createCookie("DonViChiTiet", e.value);
                                        createCookie("BoPhan","All");
                                    } else {
                                         $('#BoPhan').empty();
                                         $('#BoPhan').append('<option value="All"> Tất cả</option>');
                                        LoadDataChart(e.value, "All");
                                        LoadDataTable(e.value, "All");
                                        if (e.value != "") {
                                            createCookie("DonViChiTiet", e.value);
                                            createCookie("BoPhan", "All");
                                        }
                                    }
                                }
                            }
                        });
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });


        });
    }

    function LoadBoPhan(DonViChiTiet,BoPhan) {
         //var DonViChiTiet = $('#DonViChiTiet').val();
            if (DonViChiTiet != null && DonViChiTiet != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllBoPhanByDonViChiTietId2", "ThongKeVungXanh")',
                    data: { DonViChiTiet: DonViChiTiet,BoPhan:BoPhan },
                    dataType: 'text',
                    success: function (data) {
                        if (DonViChiTiet == "All") {
                            $('#BoPhan').empty();
                            $('#BoPhan').append('<option value="All"> Tất cả</option>');
                            //load chart
                            //LoadDataChart("All", "All");
                            //LoadDataTable("All", "All");
                        } else {
                            $('#BoPhan').empty();
                            $('#BoPhan').append(data);
                            ////load chart
                            //LoadDataChart(DonViChiTiet,"All");
                            //LoadDataTable(DonViChiTiet, "All");
                        }
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                    title: "Lỗi",
                    text: "Không lấy được dữ liệu",
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
    }
    $('#BoPhan').change(function () {
        var BoPhan = $('#BoPhan').val();
        LoadDataChart(readCookie("DonViChiTiet"), BoPhan);
        LoadDataTable(readCookie("DonViChiTiet"), BoPhan);
        createCookie("BoPhan", BoPhan);
    });

    function LoadDataChart(DonViChiTiet, BoPhan) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("GetDataVungCovidChart", "ThongKeVungXanh")',
            data: { DonViChiTiet: DonViChiTiet, BoPhan: BoPhan },
            dataType: 'text',
            success: function (data) {
                var tong = 0;
                var dataNew = Array();
                for (const [key, value] of Object.entries(JSON.parse(data))) {
                    dataNew.push({ "VungCovid": `${key} (${value})`, "SoLuong": `${value}` });
                    tong += parseInt(value);
                }
                LoadChart(dataNew);
                // load chart percent
                $('#chart-percent').empty();
                var tongpercent = 0;
                var i = 1;
                for (const [key, value] of Object.entries(JSON.parse(data))) {
                    var percent = Math.round(parseFloat(value) / parseFloat(tong) * 100) / 100;
                    var pr = parseInt(percent * 100);
                    //console.log(percent);
                    //console.log(percent* 100);
                    //console.log(pr);
                    if (key == "đang cập nhật") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#c6c6c6" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#c6c6c6" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng cam") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#ebb192" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#ebb192" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng cận xanh") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#b4d7a2" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#b4d7a2" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng vàng") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#e1da96" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#e1da96" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng xanh") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#46e7a4" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#46e7a4" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');

                    } else if (key == "vùng đỏ") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#c67070" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#c67070" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');

                    }else if (key == "chưa có tổ dân phố") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#8877cc" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#8877cc" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');

                    }
                    tongpercent += pr;
                    i++;
                }
            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });
    }

    function LoadDataTable(DonViChiTiet, BoPhan) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("GetStaffsByDonViBoPhan2", "ThongKeVungXanh")',
            data: { DonViChiTiet: DonViChiTiet, BoPhan: BoPhan },
            dataType: 'text',
            success: function (data) {
                //console.log(JSON.parse(data));
                $("#gridContainer").dxDataGrid({
                    dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "Id",
                            caption: "#",
                            width:50
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên"
                        },
                        {
                            dataField: "GioiTinh",
                            caption: "Giới tính",
                            cellTemplate: function (container, options) {
                                if (options.value == "0") {
                                    $("<div>").append("Nam").appendTo(container);
                                } else {
                                    $("<div>").append("Nữ").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "CMND",
                            caption: "CMND"
                        },
                        {
                            dataField: "DienThoai",
                            caption: "Điện thoại"
                        },
                        {
                            dataField: "GhiChu",
                            caption: "Tổ dân phố"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận"
                        },
                        {
                            dataField: "DonViChiTiet",
                            caption: "Đơn vị"
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng covid",
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "LinkWeb",
                            caption: "Xem",
                            cellTemplate: function (container, options) {
                                $("<a target='_blank' href='" + options.value  + "'>").append("Xem").appendTo(container);
                            }
                        }
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    },
                    export: {
                      enabled: true,
                      allowExportSelectedData: true
                    },
                    onExporting: function(e) {
                      var workbook = new ExcelJS.Workbook();
                      var worksheet = workbook.addWorksheet('ThongKeVungDich');

                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet: worksheet,
                        autoFilterEnabled: true
                      }).then(function() {
                        workbook.xlsx.writeBuffer().then(function(buffer) {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'ThongKeVungDich.xlsx');
                        });
                      });
                      e.cancel = true;
                    }
                });

            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });

        //LoadChart(dataSource);
    }

    function LoadChart(data) {
        $("#pie").dxPieChart({

            palette: "bright",
            dataSource: data,
            series: [
                {
                    argumentField: "VungCovid",
                    valueField: "SoLuong",
                    label: {
                        visible: true,
                        connector: {
                            visible: true,
                            width: 1
                        }
                    }
                }
            ],
            legend: {
                orientation: "horizontal",
                itemTextPosition: "right",
                horizontalAlignment: "center",
                verticalAlignment: "bottom",
                columnCount: 3,
                font: {
                    size: 16
                }
            },
            title: "",
            customizePoint: function (pointInfo) {
                //console.log(pointInfo.data.VungCovid);
                if (pointInfo.data.VungCovid.includes("đang cập nhật")) {
                    return {
                        color: "#c6c6c6"
                    }
                }else if (pointInfo.data.VungCovid.includes("chưa có tổ dân phố")) {
                    return {
                        color: "#8877cc"
                    }
                }else if (pointInfo.data.VungCovid.includes("vùng cam")) {
                    return {
                        color: "#ebb192"
                    }
                }else if (pointInfo.data.VungCovid.includes("vùng cận xanh")) {
                    return {
                        color: "#b4d7a2"
                    }
                }else if (pointInfo.data.VungCovid.includes("vùng vàng")) {
                    return {
                        color: "#e1da96"
                    }
                }else if (pointInfo.data.VungCovid.includes("vùng xanh")) {
                    return {
                        color: "#46e7a4"
                    }
                }else if (pointInfo.data.VungCovid.includes("vùng đỏ")) {
                    return {
                        color: "#c67070"
                    }
                }
                return {
                    color: "#c6c6c6"
                }
            },
            "export": {
                enabled: false
            }
        });
    }

    @*function LoadDataTable(DonViChiTiet, BoPhan) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("GetStaffsByDonViBoPhan", "ThongKeVungXanh")',
            data: { DonViChiTiet: DonViChiTiet, BoPhan: BoPhan },
            dataType: 'text',
            success: function (data) {
                //console.log(JSON.parse(data));
                $("#gridContainer").dxDataGrid({
                    dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "Id",
                            caption: "#",
                            width:50
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên"
                        },
                        {
                            dataField: "GioiTinh",
                            caption: "Giới tính",
                            cellTemplate: function (container, options) {
                                if (options.value == "0") {
                                    $("<div>").append("Nam").appendTo(container);
                                } else {
                                    $("<div>").append("Nữ").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "CMND",
                            caption: "CMND"
                        },
                        {
                            dataField: "DienThoai",
                            caption: "Điện thoại"
                        },
                        {
                            dataField: "GhiChu",
                            caption: "Tổ dân phố"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận"
                        },
                        {
                            dataField: "DonViChiTiet",
                            caption: "Đơn vị"
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng covid",
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "LinkWeb",
                            caption: "Xem",
                            cellTemplate: function (container, options) {
                                $("<a target='_blank' href='" + options.value  + "'>").append("Xem").appendTo(container);
                            }
                        }
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }
                });

            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });

        //LoadChart(dataSource);
    }*@

    @*function LoadDataChart(DonViChiTiet, BoPhan) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("GetDataVungCovidChart", "ThongKeVungXanh")',
            data: { DonViChiTiet: DonViChiTiet, BoPhan: BoPhan },
            dataType: 'text',
            success: function (data) {
                var tong = 0;
                var dataNew = Array();
                for (const [key, value] of Object.entries(JSON.parse(data))) {
                    dataNew.push({ "VungCovid": `${key} (${value})`, "SoLuong": `${value}` });
                    tong += parseInt(value);
                }
                LoadChart(dataNew);
                // load chart percent
                $('#chart-percent').empty();
                var tongpercent = 0;
                var i = 1;
                for (const [key, value] of Object.entries(JSON.parse(data))) {
                    var percent = Math.round(parseFloat(value) / parseFloat(tong) * 100) / 100;
                    var pr = parseInt(percent * 100);
                    //console.log(percent);
                    //console.log(percent* 100);
                    //console.log(pr);
                    if (key == "đang cập nhật") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#c6c6c6" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#c6c6c6" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng cam") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#ebb192" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#ebb192" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng cận xanh") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#b4d7a2" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#b4d7a2" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng vàng") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#e1da96" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#e1da96" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');
                    } else if (key == "vùng xanh") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#46e7a4" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#46e7a4" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');

                    } else if (key == "vùng đỏ") {
                        if (i < dataNew.length)
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+pr+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+pr+'%; background-color:#c67070" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+pr+' %</div></div></div></div>');
                        else
                            $('#chart-percent').append('<div class="row"><div class="col-4" style="color:#000">'+key+' ('+(100 - tongpercent)+'%)</div><div class="col-8"><div class="progress mb-2"><div class="progress-bar" role="progressbar" style="width: '+(100 - tongpercent)+'%; background-color:#c67070" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">'+(100 - tongpercent)+' %</div></div></div></div>');

                    }
                    tongpercent += pr;
                    i++;
                }
            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });
    }*@
</script>